Bug 1015683 - core/GUI: prevent potential serialization exceptions post upgrade to GWT 2.5
core/GUI: prevent potential serialization exceptions post upgrade to GWT 2.5
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.3
Unspecified Unspecified
urgent Severity high
: ---
: 3.3.2
Assigned To: vszocs
ux
: CodeChange
Depends On:
Blocks: 1019626 1028759 1029605
  Show dependency treegraph
 
Reported: 2013-10-04 16:34 EDT by Einav Cohen
Modified: 2016-01-28 16:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1029605 (view as bug list)
Environment:
Last Closed: 2013-12-19 09:24:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18908 None None None Never
oVirt gerrit 20273 None None None Never
oVirt gerrit 20274 None None None Never
oVirt gerrit 21732 None None None Never
oVirt gerrit 21733 None None None Never

  None (edit)
Description Einav Cohen 2013-10-04 16:34:21 EDT
In GWT 2.5, there are stricter requirements for classes that are being (de)serialized via the GWT RPC (de)serialization mechanism:

a. class should have no member initialization (members should be initialized only within methods, typically c'tors)

b. class should have an explicit default c'tor.

need to change the relevant classes to comply with these requirements.

'b' is already taken care of by these patches [1]
still need to apply 'a' as well.


[1] by amureini:
http://gerrit.ovirt.org/#/c/18133/
http://gerrit.ovirt.org/#/c/18139/
http://gerrit.ovirt.org/#/c/18134/
http://gerrit.ovirt.org/#/c/18140/
http://gerrit.ovirt.org/#/c/18132/
http://gerrit.ovirt.org/#/c/18135/
http://gerrit.ovirt.org/#/c/18138/
http://gerrit.ovirt.org/#/c/18137/
Comment 1 Einav Cohen 2013-10-04 16:40:15 EDT
(In reply to Einav Cohen from comment #0)
> 
> 'b' is already taken care of by these patches [1]
> still need to apply 'a' as well.

correction: should be the other way around: 
'a' (no member init) is already taken care of. 
still need to apply 'b' (explicit default c'tor).
Comment 2 vszocs 2013-10-17 14:20:34 EDT
(In reply to Einav Cohen from comment #1)
> (In reply to Einav Cohen from comment #0)
> > 
> > 'b' is already taken care of by these patches [1]
> > still need to apply 'a' as well.
> 
> correction: should be the other way around: 
> 'a' (no member init) is already taken care of. 
> still need to apply 'b' (explicit default c'tor).

No-argument constructor check is implemented in patch http://gerrit.ovirt.org/#/c/20274/
Comment 4 vszocs 2013-11-21 14:56:58 EST
Patch http://gerrit.ovirt.org/#/c/20274/ updated and ready for review. Once merged into master, all relevant patches will be backported and BZ will be moved to MODIFIED.
Comment 5 Sandro Bonazzola 2013-12-13 11:01:57 EST
rc build done, moving to ON_QA, packages will be available on updates-testing repository.
Comment 6 Sandro Bonazzola 2013-12-19 09:24:21 EST
oVirt 3.3.2 has been released resolving the problem described in this bug report.

Note You need to log in before you can comment on or make changes to this bug.